Plugin Gallery empty in OJS 3.1.2-1

Hi all,

We recently updated our test OJS from 3.1.0.1 to 3.1.2.1.
One of the problems that occured is that the plugin gallery is empty. We have enabled allow_url_fopen as suggested in another thread in this forum but it does not work anyway.
There is the following warning:

PHP Warning: fopen(https://pkp.sfu.ca/ojs/xml/plugins.xml): failed to open stream: Connection refused in /var/www/test.ojs.openagrar.de/lib/pkp/classes/file/FileWrapper.inc.php on line 70

My admin tells me, we use a proxy for internet connection and also, that the check for OJS updates is working. What settings should I check to ensure, that OJS can access the remote xml?

1 Like

Hi, I am facing the same problem, may I ask you how did you solve it?
Thank you
Petr

Hi @nicknamed,

Is your server also behind an HTTP proxy? Watch https://github.com/pkp/pkp-lib/issues/5085 for an update.

Regards,
Alec Smecher
Public Knowledge Project Team

Hi, it is not or I have no idea why it should be. It is on a standard serverhosting/webhosting.

Hi @nicknamed,

Are you also encountering this warning message in your PHP log?

PHP Warning: fopen(https://pkp.sfu.ca/ojs/xml/plugins.xml ): failed to open stream: Connection refused in /var/www/test.ojs.openagrar.de/lib/pkp/classes/file/FileWrapper.inc.php on line 70

Regards,
Alec Smecher
Public Knowledge Project Team

I cannot find the log file, but I will ask a colleague, hopefully he will know. If you have other tips, please write them as we will be troubleshooting it in the morning central european time (in 12 hours…) Thank you

Alex,
my colleague did some changes so now I can see the plugin gallery, it says that quicksubmit plugin can be upgraded, if I click on it, and confirm upgrade, it does nothing (I use Chrome): if I download the plugin and uncompress it somewhere, will the OJS recognize it and install it itself (load it among import export plugins) so I could use it?
Thank you
Petr

Hi @nicknamed,

Check your PHP error log to see if there are any further details there.

Regards,
Alec Smecher
Public Knowledge Project Team

I cant see any handling of the proxy in your change linked above. The line says:

$this->fp = fopen($this->url, $mode); - this fails with OJS 3.1.2-4 in:

PHP Warning: fopen(http://pkp.sfu.ca/ojs/xml/ojs-version.xml?id=5489c525abd63&oai=https%3A%2F%2Fojs.openagrar.de%2Findex.php%2Findex%2Foai): failed to open stream: Connection refused in /var/www/ojs.openagrar.de/lib/pkp/classes/file/FileWrapper.inc.php on line 70

Proxy is enabled and set.

EDIT:

And for Plugin gallery:

fopen(https://pkp.sfu.ca/ojs/xml/plugins.xml): failed to open stream: Connection refused in /var/www/ojs.openagrar.de/lib/pkp/classes/file/FileWrapper.inc.php on line 70

EDIT2:

Stop, I made a mistake.

if allow_url_fopen is set to On, OJS always tries to use the FileWrapper which obviously does not use a proxy at all. If I switch off allow_url_fopen in the OJS-config, the Version-Check start working again.

Unfortunately, the Plugin gallery is still empty:

DOMDocument::loadXML(): Empty string supplied as input in /var/www/ojs.openagrar.de/lib/pkp/classes/plugins/PluginGalleryDAO.inc.php on line 57

Any ideas?

Hi @nicknamed,

Releases including the patch referenced above (OJS 3.1.2-2 and later) do support proxies when using the FileWrapper – see the support code for that e.g. in lib/pkp/classes/file/wrappers/HTTPFileWrapper.inc.php.

Regards,
Alec Smecher
Public Knowledge Project Team

Existe este parche para la versión 3.2.1.1 ?

I’m in the same situation. Have you founded any solution to this?

Hi @EduardoOsquel,

I’ve responded to your other post; please try to post each question just once in the best place you can identify.

Regards,
Alec Smecher
Public Knowledge Project Team